llms.txtllms-full.txt
DashboardStatusGet API Key
IntroductionQuickstartModelsPricingArchitecture & SecurityLimits & Quotas
Execution Modes & HTTP QueueWebhooksWebSocketsMCP Servern8n Integrationn8n dryAPI node
API OverviewErrorsText-to-ImagePOSTText-to-Image Price CalculationPOSTText-to-VideoPOSTText-to-Video Price CalculationPOSTImage-to-VideoPOSTImage-to-Video Price CalculationPOSTAudio-to-VideoPOSTAudio-to-Video Price CalculationPOSTText-to-Speech (TTS)POSTText-to-Speech Price CalculationPOSTText-to-MusicPOSTText-to-Music Price CalculationPOSTText-to-EmbeddingPOSTText-to-Embedding Price CalculationPOSTImage-to-ImagePOSTImage-to-Image Price CalculationPOSTImage Background RemovalPOSTImage Background Removal Price CalculationPOSTImage UpscalePOSTImage Upscale Price CalculationPOST
OpenAPI
OpenAPI ReferenceJobsOpenAI CompatibleRunPod JobsWebhooks POST
SDKs & IntegrationsPayment MethodsFAQ — Frequently Asked QuestionsSupport & Contact
dAdryAPI
DashboardStatusGet API Key
APIAPI Reference
Technical Reference

Webhooks

Webhook signature and delivery testing routes.

Send a signed webhook test event

POST
/v1/webhooks/test

Authorization

BearerAuth
AuthorizationBearer <token>

Use Authorization: Bearer <api-key>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://loading/v1/webhooks/test" \  -H "Content-Type: application/json" \  -d '{    "webhook_url": "https://example.com/webhooks/dryapi"  }'
{
  "success": true,
  "job_id": "test_a13f6b84-6f23-4cb4-9f2d-97aa858806f0",
  "event": "job.completed"
}
Empty
Empty
Empty
Empty
Last updated on 21 March 2026

RunPod Jobs

Direct provider operational routes for run, runsync, status, and queue control.

SDKs & Integrations

Next Page

webhook_url*string

Destination URL that receives signed test events. HTTPS is required.

Formaturi
event?||

Test webhook event type to send. Defaults to job.processing.

data?

Optional payload object included as the webhook event data.